dotnet-workload-search(1)

dotnet workload search

This article applies to: ✔️ .NET 6 SDK and later versions

NAME

dotnet-workload-search - Searches for optional workloads.

SYNOPSIS

    dotnet workload search [<SEARCH_STRING>] [-v|--verbosity <LEVEL>]
    dotnet workload search -?|-h|--help

DESCRIPTION

The dotnet workload search command lists available workloads. You can filter the list by specifying all or part of the workload ID you’re looking for.

For more information about the dotnet workload commands, see the dotnet workload install command.

ARGUMENTS

•   SEARCH_STRING

    The workload ID to search for, or part of it. For example, if you specify maui, the command lists all of the workload IDs that have maui in their workload ID.

OPTIONS

•   -?|-h|--help

    Prints out a description of how to use the command.

•   -v|--verbosity <LEVEL>

    Sets the verbosity level of the command. Allowed values are q[uiet], m[inimal], n[ormal], d[etailed], and diag[nostic]. The default is minimal. For more information, see <xref:Microsoft.Build.Framework.LoggerVerbosity>.

EXAMPLES

•   List all available workloads:

        dotnet workload search

•   List all available workloads that have “maui” in their workload ID:

        dotnet workload search maui